﻿@model List<DocumentConfirmationLineView>

@{
    bool _UpdateApproval = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesApproval.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _ViewSalesDraft = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesDraft.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}
<div class="col-lg-12">
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            @if (Model.Count > 0)
        {
            if (Model.FirstOrDefault().ByOriginator == false)
            {
                    <h3 class="panel-title">@Approval.MAL</h3>
            }
            else
            {
                    <h3 class="panel-title">@Approval.DPFA</h3>
            }
        }
        else
        {
                <h3 class="panel-title">@Approval.DL</h3>
        }
        </div>

        <div class="panel-body">
            <div class="table-responsive tableItemsDocuments">
                <table class="table table-striped">
                    @if (Model.Count > 0)
                {
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>@Approval.Originator</th>
                                <th>@Approval.CreateDate</th>
                                <th>@Approval.DD</th>
                                <th>@Approval.RD</th>
                                <th>@Approval.AS</th>
                                <th>@BusinessPartners.CC</th>
                                <th>@BusinessPartners.CN</th>
                                <th>@Approval.RR</th>
                                @if(Model.FirstOrDefault().ByOriginator == false)
                            {
                                    <th>@Approval.AR</th>
                            }
                                <th>@Approval.DR</th>
                                <th>@PurchaseOrders.TPD</th>
                                <th>@Drafts.DT</th>
                                <th>&nbsp;</th>
                                <th>&nbsp;</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (DocumentConfirmationLineView item in Model)
                        {
                                <tr>
                                    <td><strong>@item.WddCode</strong></td> 
                                    <td>@item.UserSignName</td>
                                    <td>@((item.CreateDate != null && item.CreateDate != DateTime.MinValue) ? item.CreateDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                    <td>@((item.TaxDate != null && item.TaxDate != DateTime.MinValue) ? item.TaxDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                    <td>@((item.ReqDate != null && item.ReqDate != DateTime.MinValue) ? item.ReqDate.ToString().AsDateTime().ToShortDateString() : "")</td>
                                    @switch (item.Status)
                                {
                                    case "W":
                                            <td>Pending</td>
                                        break;
                                    case "Y":
                                            <td>Approved</td>
                                        break;
                                    case "N":
                                            <td>Not Approved</td>
                                        break;
                                    default:
                                        break;
                                }
                                    <td>@item.CardCode</td>
                                    <td>@item.CardName</td>
                                    <td>@item.RequestorRemark</td>
                                    @if (item.ByOriginator == false)
                                {
                                        <td>@item.Remarks</td>
                                }
                                    <td>@item.DocumentComments</td>
                                    <td>@(item.DocTotal != null ? item.DocTotal.Value.ToString("F2", CultureInfo.InvariantCulture) : "0.00")</td>
                                    @switch (item.ObjType)
                                {
                                    case "17":
                                            <td>@SaleOrders.SO</td>
                                            <td>
                                                @if (_ViewSalesDraft)
                                            {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesOrder", new { @ActionPurchaseOrder = "ViewDraft", @IdPO = item.ODRFDocEntry, @fromController = "MyApprovals" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                            }
                                            </td>

                                            break;

                                    case "23":
                                            <td>@SaleQuotations.SQ</td>
                                            <td>
                                                @if (_ViewSalesDraft)
                                        {
                                                    <a href='@Url.Action("ActionPurchaseOrder", "SalesQuotation", new { @ActionPurchaseOrder = "ViewDraft", @IdPO = item.ODRFDocEntry, @fromController = "MyApprovals" })' class="btn btn-primary btn-xs">
                                                        <span class="glyphicon glyphicon-eye-open"></span>&nbsp;@PurchaseOrders.View
                                                    </a>
                                        }
                                            </td>

                                        break;
                                    default:
                                        break;
                                }
                                    <td>
                                        <button type="button" id="HistoryButton" onclick="GetHistory('@item.WddCode')" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#HistoryModal"><span class="glyphicon glyphicon-eye-open"></span>@Approval.VH</button>
                                    </td>
                                    @if (item.Status == "W" && item.ByOriginator == false)
                                {
                                        <td>
                                            @if (_UpdateApproval)
                                        {
                                                <button type="button" onclick="GetApprovalTemplate('@item.WddCode'); fut_modal_body($('.modal'))" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#ApproveModal"><span class="glyphicon glyphicon-search"></span>@Approval.Approve</button>
                                        }
                                        </td>
                                }
                                    @*@if (item.Status == "Y")
                                        {
                                            <td>
                                                <button type="button" onclick="CreateDocument('@item.ODRFDocEntry')" class="btn btn-primary btn-xs">@Drafts.CD</button>
                                            </td>
                                        }*@
                                else
                                {
                                        <td>&nbsp;</td>
                                }
                                </tr>
                        }

                        </tbody>
                }
                else
                {
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>@Approval.Originator</th>
                                <th>@Approval.CreateDate</th>
                                <th>@Approval.DD</th>
                                <th>@Approval.RD</th>
                                <th>@Approval.AS</th>
                                <th>@Approval.RR</th>
                                <th>@Approval.AR</th>
                                <th>@Approval.DR</th>
                                <th>@PurchaseOrders.TPD</th>
                                <th>@Drafts.DT</th>
                                <th>&nbsp;</th>
                                <th>&nbsp;</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td colspan="8">@PurchaseOrders.NDTD</td>
                            </tr>
                        </tbody>
                }
                </table>
            </div>

        </div>

    </div>
</div>